#include <iostream>

using namespace std;

int main()
{
    long int k, n, s, brojac = 0;
    cin >> n >> k;

    long int meta[100000];

    for(int i = 0 ; i < n * 2 + 1 ; ++i) meta[i]=k;

    for (int i = 0 ; i < n ; ++i){
        cin >> s;
        meta[s + n] -=1;
        if (meta[s + n] <= 0) brojac++;
    }

    cout << brojac << "\n";

    for(int i = 0 ; i < n * 2 + 1 ; i ++){
        if(meta[i] <= 0)
            cout << i-n << ' ';
    }
}